#!/usr/bin/perl
#
# $Id: test.pl,v 1.1 2001/10/02 02:04:00 harlan Exp $
#
use strict;
use Test;

# use a BEGIN block so we print our plan before MyModule is loaded
BEGIN { plan tests => 8, todo => [] }

# load your module...
use PIKT::Random;
use PIKT::Random::MD5;
use Math::Random::TT800;

# test1-7 Alex's tests
my %data = (""     => "d41d8cd98f00b204e9800998ecf8427e",
            "a"    => "0cc175b9c0f1b6a831c399e269772661",
            "abc"  => "900150983cd24fb0d6963f7d28e17f72",
            "message digest" => "f96b697d7cb7938d525a2f31aaf161d0",
            "abcdefghijklmnopqrstuvwxyz" => "c3fcd3d76192e4007dfb496cca67e13b",
            "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789"
            => "d174ab98d277d9f5a5611c2c9f419d9f",
            "12345678901234567890123456789012345678901234567890123456789012345678901234567890"
            => "57edf4a22be3c955ac49da2e2107b67a",
);

foreach (sort(keys(%data))) {
#    my $digest = &PIKT::MD5::Digest($_);
    my $digest = Digest($_);
    
    my $hex = unpack("H*", $digest);
    ok ($hex eq $data{$_}, 1);
}

# test8 Math::TT800
my $tt = new Math::Random::TT800;
my $ivalue = -1;
$tt->initialize( values(%data) );
my $value = $tt->next();
$ivalue = $tt->next_int();
ok ($ivalue > -1, 1);

